--
-- telescope plugin setup
--

local telescope = require('telescope.builtin')

vim.keymap.set('n', '<leader>ff', telescope.find_files, { desc = "Find files from current working directory" })
vim.keymap.set('n', '<leader>fg', telescope.git_files, { desc = "Find files from current git repository" })
vim.keymap.set('n', '<leader>fb', telescope.buffers, { desc = "Find files from buffers" })
vim.keymap.set('n', '<leader>fr', telescope.registers, { desc = "Find files from registers" })
vim.keymap.set('n', '<leader>fs', function()
    telescope.grep_string({ search = vim.fn.input("Grep > ") })
end, { desc = 'Find in files content from current working directory' })
